# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TColumnDesc

Packages that use TColumnDesc
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TColumnDesc in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TColumnDesc
Modifier and Type
Method
Description
`static ColumnInfo`
DatabricksThriftUtil.`getColumnInfoFromTColumnDesc(TColumnDesc columnDesc)`

## Uses of TColumnDesc in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TColumnDesc
Modifier and Type
Class
Description
`class`
`TColumnDesc`
`class`
`TColumnDesc`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TColumnDesc
Modifier and Type
Field
Description
`List<TColumnDesc>`
TTableSchema.`columns`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TColumnDesc
Modifier and Type
Method
Description
`TColumnDesc`
TColumnDesc.`deepCopy()`
`TColumnDesc`
TColumnDesc.`setColumnName(String columnName)`
`TColumnDesc`
TColumnDesc.`setComment(String comment)`
`TColumnDesc`
TColumnDesc.`setPosition(int position)`
`TColumnDesc`
TColumnDesc.`setTypeDesc(TTypeDesc typeDesc)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TColumnDesc
Modifier and Type
Method
Description
`List<TColumnDesc>`
TTableSchema.`getColumns()`
`Iterator<TColumnDesc>`
TTableSchema.`getColumnsIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumnDesc
Modifier and Type
Method
Description
`void`
TTableSchema.`addToColumns(TColumnDesc elem)`
`int`
TColumnDesc.`compareTo(TColumnDesc other)`
`boolean`
TColumnDesc.`equals(TColumnDesc that)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TColumnDesc
Modifier and Type
Method
Description
`TTableSchema`
TTableSchema.`setColumns(List<TColumnDesc> columns)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumnDesc
Modifier
Constructor
Description
``
`TColumnDesc(TColumnDesc other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TColumnDesc
Modifier
Constructor
Description
``
`TTableSchema(List<TColumnDesc> columns)`